Debian Bug report logs - #631968
gnome-terminal: fails to start on kFreeBSD

version graph

Package: libglib2.0-0; Maintainer for libglib2.0-0 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for libglib2.0-0 is src:glib2.0.

Reported by: Robert Millan <rmh@debian.org>

Date: Tue, 28 Jun 2011 18:33:01 UTC

Severity: grave

Tags: confirmed, patch

Found in version glib2.0/2.33.12+really2.32.4-2

Fixed in versions glib2.0/2.33.12+really2.32.4-3, glib2.0/2.34.1-2

Done: Simon McVittie <smcv@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, debian-bsd@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Tue, 28 Jun 2011 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, debian-bsd@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>. (Tue, 28 Jun 2011 18:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aborts on start (GNU/kFreeBSD)
Date: Tue, 28 Jun 2011 20:31:55 +0200
Package: gnome-terminal
Version: 3.0.1-1
Severity: grave
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

(this bug most likely needs reassigning, but I don't know where, so filing
it on the application that exhibits the symptom)

gnome-terminal aborts on start, with unknown signal:

rmh@dimoni:~$ LD_LIBRARY_PATH=/usr/lib/debug/lib/x86_64-kfreebsd-gnu gdb gnome-terminal
GNU gdb (GDB) 7.2-debian
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-kfreebsd-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/gnome-terminal...(no debugging symbols found)...done.
(gdb) r
Starting program: /usr/bin/gnome-terminal 

Program received signal ?, Unknown signal.
__pthread_sigsuspend () at ../ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/linuxthreads/pt-sigsuspend.S:24
24      ../ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/linuxthreads/pt-sigsuspend.S: El fitxer o directori no existeix.
        in ../ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/linuxthreads/pt-sigsuspend.S
(gdb) bt
#0  __pthread_sigsuspend () at ../ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/linuxthreads/pt-sigsuspend.S:24
#1  0x0000000802e433b8 in __pthread_wait_for_restart_signal (self=<value optimized out>) at pthread.c:1274
#2  0x0000000802e43f8c in suspend (thread=0x688ae0, attr=<value optimized out>, start_routine=<value optimized out>, arg=<value optimized out>) at restart.h:34
#3  __pthread_create_2_1 (thread=0x688ae0, attr=<value optimized out>, start_routine=<value optimized out>, arg=<value optimized out>) at pthread.c:877
#4  0x0000000801fa8212 in g_thread_create_posix_impl (thread_func=0x802455c00 <g_thread_create_proxy>, arg=0x688ab0, stack_size=<value optimized out>, 
    joinable=<value optimized out>, bound=0, priority=G_THREAD_PRIORITY_NORMAL, thread=0x688ae0, error=0x7fffffffda68)
    at /build/buildd-glib2.0_2.28.6-1-kfreebsd-amd64-yDxNka/glib2.0-2.28.6/./gthread/gthread-posix.c:355
#5  0x000000080245688d in g_thread_create_full (func=<value optimized out>, data=<value optimized out>, stack_size=0, joinable=0, bound=0, 
    priority=<value optimized out>, error=0x7fffffffdac8) at /build/buildd-glib2.0_2.28.6-1-kfreebsd-amd64-yDxNka/glib2.0-2.28.6/./glib/gthread.c:1967
#6  0x0000000802458126 in g_thread_pool_start_thread (pool=0x688c00, error=0x0)
    at /build/buildd-glib2.0_2.28.6-1-kfreebsd-amd64-yDxNka/glib2.0-2.28.6/./glib/gthreadpool.c:420
#7  0x0000000802458822 in g_thread_pool_push (pool=<value optimized out>, data=0x655b30, error=0x0)
    at /build/buildd-glib2.0_2.28.6-1-kfreebsd-amd64-yDxNka/glib2.0-2.28.6/./glib/gthreadpool.c:558
#8  0x00000008015ea5ad in g_async_initable_real_init_async (initable=<value optimized out>, io_priority=0, cancellable=0x0, 
    callback=0x801660050 <bus_get_async_initable_cb>, user_data=0x675760)
    at /build/buildd-glib2.0_2.28.6-1-kfreebsd-amd64-yDxNka/glib2.0-2.28.6/./gio/gasyncinitable.c:285
#9  0x0000000801661c53 in g_bus_get (bus_type=G_BUS_TYPE_SESSION, cancellable=0x0, callback=<value optimized out>, user_data=<value optimized out>)
    at /build/buildd-glib2.0_2.28.6-1-kfreebsd-amd64-yDxNka/glib2.0-2.28.6/./gio/gdbusconnection.c:6383
#10 0x000000080166e94b in g_bus_own_name (bus_type=G_BUS_TYPE_SESSION, name=0x6540a0 "org.gnome.Terminal.Display_0_0", flags=G_BUS_NAME_OWNER_FLAGS_NONE, 
    bus_acquired_handler=0x417d60, name_acquired_handler=0x417cc0, name_lost_handler=0x418120, user_data=0x654b00, user_data_free_func=0)
    at /build/buildd-glib2.0_2.28.6-1-kfreebsd-amd64-yDxNka/glib2.0-2.28.6/./gio/gdbusnameowning.c:622
#11 0x0000000000414fb9 in ?? ()
#12 0x00000008030771e9 in __libc_start_main (main=0x414d00, argc=1, ubp_av=0x7fffffffdcf0, init=<value optimized out>, fini=0x94016030, rtld_fini=0, 
    stack_end=0x7fffffffdcd8) at libc-start.c:257
#13 0x000000000041512c in ?? ()
#14 0x00007fffffffdcd8 in ?? ()
#15 0x000000000000001c in ?? ()
#16 0x0000000000000000 in ?? ()
(gdb) 

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-terminal depends on:
ii  gnome-terminal-data           3.0.1-1    Data files for the GNOME terminal 
ii  gsettings-desktop-schemas     3.0.1-1    GSettings deskop-wide schemas
ii  libatk1.0-0                   2.0.1-1    ATK accessibility toolkit
ii  libc0.1                       2.13-7     Embedded GNU C Library: Shared lib
ii  libgconf2-4                   2.32.4-1   GNOME configuration database syste
ii  libgdk-pixbuf2.0-0            2.23.3-3   GDK Pixbuf library
ii  libglib2.0-0                  2.28.6-1   The GLib library of C routines
ii  libgtk-3-0                    3.0.10-1   GTK+ graphical user interface libr
ii  libice6                       2:1.0.7-2  X11 Inter-Client Exchange library
ii  libpango1.0-0                 1.28.4-1   Layout and rendering of internatio
ii  libsm6                        2:1.2.0-2  X11 Session Management library
ii  libvte-2.90-9                 1:0.28.1-1 Terminal emulator widget for GTK+ 
ii  libx11-6                      2:1.4.3-2  X11 client-side library

Versions of packages gnome-terminal recommends:
ii  gvfs                          1.6.4-3    userspace virtual filesystem - ser
pn  yelp                          <none>     (no description available)

gnome-terminal suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Tue, 28 Jun 2011 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Tue, 28 Jun 2011 19:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 631968@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Robert Millan <rmh@debian.org>, 631968@bugs.debian.org
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Tue, 28 Jun 2011 21:22:26 +0200 (CEST)
> (this bug most likely needs reassigning, but I don't know where, so filing
> it on the application that exhibits the symptom)
>
> gnome-terminal aborts on start, with unknown signal:
>
> rmh@dimoni:~$ LD_LIBRARY_PATH=/usr/lib/debug/lib/x86_64-kfreebsd-gnu gdb gnome-terminal
...
> (gdb) r
> Starting program: /usr/bin/gnome-terminal
>
> Program received signal ?, Unknown signal.
> __pthread_sigsuspend () at ../ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/linuxthreads/pt-sigsuspend.S:24
> 24      ../ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/linuxthreads/pt-sigsuspend.S: El fitxer o directori no existeix.
>        in ../ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/linuxthreads/pt-sigsuspend.S

This is a limitation of our gdb, see #550361.

What is the real problem ?
What does gnome-terminal when runs directly ?

In general, it is possible to generate core_dump and use gdb at it,
but not use gdb to start threaded programs :-(

Petr





Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Tue, 28 Jun 2011 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Tue, 28 Jun 2011 22:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 631968@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 631968@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Wed, 29 Jun 2011 00:12:29 +0200
2011/6/28 Petr Salinger <Petr.Salinger@seznam.cz>:
> What is the real problem ?
> What does gnome-terminal when runs directly ?

There isn't much to see:

$ gnome-terminal
$ echo $?
1

> In general, it is possible to generate core_dump and use gdb at it,

Any idea how to force it to dump core? (tried ulimit -c, no luck)

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Tue, 28 Jun 2011 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Tue, 28 Jun 2011 22:15:05 GMT) Full text and rfc822 format available.

Message #20 received at 631968@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 631968@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Wed, 29 Jun 2011 00:13:18 +0200
[Message part 1 (text/plain, inline)]
2011/6/29 Robert Millan <rmh@debian.org>:
> $ gnome-terminal
> $ echo $?
> 1

Btw, here's ktrace.out, in case this helps.

-- 
Robert Millan
[ktrace.out.xz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Wed, 29 Jun 2011 00:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Wed, 29 Jun 2011 00:09:09 GMT) Full text and rfc822 format available.

Message #25 received at 631968@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 631968@bugs.debian.org, Robert Millan <rmh@debian.org>
Cc: control@bugs.debian.org
Subject: aborts on start (GNU/kFreeBSD)
Date: Wed, 29 Jun 2011 02:07:25 +0200
[Message part 1 (text/plain, inline)]
severity 631968 important
thanks

seems to be a kbsd specific, i.e. the package is generally usable. As such
downgrading to a more appropriate severity.
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'important' from 'grave' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 29 Jun 2011 00:09:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Wed, 29 Jun 2011 08:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Wed, 29 Jun 2011 08:42:06 GMT) Full text and rfc822 format available.

Message #32 received at 631968@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Robert Millan <rmh@debian.org>
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, 631968@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Wed, 29 Jun 2011 11:39:00 +0300
Robert Millan <rmh@debian.org> writes:
> 2011/6/29 Robert Millan <rmh@debian.org>:
>> $ gnome-terminal
>> $ echo $?
>> 1

I can reproduce problem on kfreebsd-i386.






Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Wed, 29 Jun 2011 09:36:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien@cristau.org>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Wed, 29 Jun 2011 09:36:39 GMT) Full text and rfc822 format available.

Message #37 received at 631968@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien@cristau.org>
To: Michael Biebl <biebl@debian.org>, 631968@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Wed, 29 Jun 2011 11:35:36 +0200
On Wed, Jun 29, 2011 at 02:07:25 +0200, Michael Biebl wrote:

> severity 631968 important
> thanks
> 
> seems to be a kbsd specific, i.e. the package is generally usable. As such
> downgrading to a more appropriate severity.

Unusable on a release architecture is a grave bug.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Wed, 29 Jun 2011 09:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Wed, 29 Jun 2011 09:42:26 GMT) Full text and rfc822 format available.

Message #42 received at 631968@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 631968@bugs.debian.org
Subject: Re: aborts on start (GNU/kFreeBSD)
Date: Wed, 29 Jun 2011 11:38:37 +0200
severity 631968 grave
thanks

Hi Michael,

2011/6/29 Michael Biebl <biebl@debian.org>:
> severity 631968 important
> thanks
>
> seems to be a kbsd specific, i.e. the package is generally usable. As such
> downgrading to a more appropriate severity.

Please see:
http://lists.debian.org/debian-devel-announce/2009/10/msg00000.html

"normal bug severities apply now for kfreebsd-specific bugs (meaning:
there could be RC-bugs that are specific for kfreebsd)"

-- 
Robert Millan




Severity set to 'grave' from 'important' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 29 Jun 2011 09:42:44 GMT) Full text and rfc822 format available.

Information stored :
Bug#631968; Package gnome-terminal. (Sun, 10 Jul 2011 18:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 10 Jul 2011 18:15:13 GMT) Full text and rfc822 format available.

Message #49 received at 631968-quiet@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 631968-quiet@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: aborts on start (GNU/kFreeBSD)
Date: Sun, 10 Jul 2011 20:10:31 +0200
In case this helps narrowing down the problem, I've verified that this
regression wasn't introduced by upgrading any of the libraries
gnome-terminal depends on.  In particular, it isn't introduced when
upgrading libc or libglib from sid.  Bug only appears when upgrading
gnome-terminal itself.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Wed, 13 Jul 2011 18:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Wed, 13 Jul 2011 18:18:05 GMT) Full text and rfc822 format available.

Message #54 received at 631968@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 631968@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: aborts on start (GNU/kFreeBSD)
Date: Wed, 13 Jul 2011 20:14:42 +0200
2011/7/10 Robert Millan <rmh@debian.org>:
> Bug only appears when upgrading gnome-terminal itself.

I bisected gnome-terminal and found that the problem was introduced
with the GDBus migration:

http://git.gnome.org/browse/gnome-terminal/commit/?id=fdf01b94d14d7f9c4df7e9f762f851d0800c4927

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Fri, 23 Sep 2011 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Fri, 23 Sep 2011 20:54:03 GMT) Full text and rfc822 format available.

Message #59 received at 631968@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: debian-hurd@lists.debian.org
Cc: 631968@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: is GNU/Hurd affected?
Date: Fri, 23 Sep 2011 22:51:45 +0200
Hello,

Could someone check if GNU/Hurd is affected by bug #631968 in gnome-terminal?

Thanks!

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Mon, 03 Oct 2011 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Mon, 03 Oct 2011 23:06:03 GMT) Full text and rfc822 format available.

Message #64 received at 631968@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: debian-hurd@lists.debian.org, 631968@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: is GNU/Hurd affected?
Date: Tue, 4 Oct 2011 01:02:56 +0200
Robert Millan, le Fri 23 Sep 2011 22:51:45 +0200, a écrit :
> Could someone check if GNU/Hurd is affected by bug #631968 in gnome-terminal?

sthibaul-guest@strauss:~$ gnome-terminal
       (no output or opened window)
sthibaul-guest@strauss:~$ echo $?
1

I guess it means it is?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Sun, 09 Oct 2011 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Sun, 09 Oct 2011 13:00:03 GMT) Full text and rfc822 format available.

Message #69 received at 631968@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 631968@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>, debian-hurd@lists.debian.org
Subject: Disable on non-Linux?
Date: Sun, 9 Oct 2011 14:57:07 +0200
Hi,

It appears that so far noone has time to fix gnome-terminal on
non-Linux.  Please would you consider making it "linux-any" untill
someone volunteers to fix this problem?

Then users will easily notice that gnome-terminal is unavailable and
needs porting. In the meantime they can use the alternatives (e.g.
xfce4-terminal).

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme de S. Pastore <gpastore@debian.org>:
Bug#631968; Package gnome-terminal. (Sun, 09 Oct 2011 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Guilherme de S. Pastore <gpastore@debian.org>. (Sun, 09 Oct 2011 20:57:03 GMT) Full text and rfc822 format available.

Message #74 received at 631968@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Robert Millan <rmh@debian.org>, 631968@bugs.debian.org
Subject: Re: Bug#631968: Disable on non-Linux?
Date: Sun, 09 Oct 2011 22:53:36 +0200
[Message part 1 (text/plain, inline)]
Am 09.10.2011 14:57, schrieb Robert Millan:
> Hi,
> 
> It appears that so far noone has time to fix gnome-terminal on
> non-Linux.  Please would you consider making it "linux-any" untill
> someone volunteers to fix this problem?

This would break our meta-packages, unless we update them too.

> Then users will easily notice that gnome-terminal is unavailable and
> needs porting. In the meantime they can use the alternatives (e.g.
> xfce4-terminal).

I don't see how a non-existing package will result in a faster fix then a
non-working one.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#631968; Package gnome-terminal. (Fri, 06 Apr 2012 21:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 06 Apr 2012 21:03:07 GMT) Full text and rfc822 format available.

Message #79 received at 631968@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 631968@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Fri, 06 Apr 2012 22:00:38 +0100
found 631968 gnome-terminal/3.2.1-2
found 631968 gnome-terminal/3.4.0.1-1
thanks

Hi,

Nothing new;  just checked that this is still happening in new versions.

ktrace excerpt right before it exits with status 1 and no error message:

>  88741 gnome-terminal CALL  poll(0xbfbfe3b8,0x1,0xffffffff)
>  88741 gnome-terminal RET   poll 1
>  88741 gnome-terminal CALL  recvfrom(0x3,0x80b0ee0,0x1000,0,0,0)
>  88741 gnome-terminal GIO   fd 3 read 32 bytes
>        0x0000 0100 7500 0000 0000 0100 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000                                |..u.............................|
> 
>  88741 gnome-terminal RET   recvfrom 32/0x20
>  88741 gnome-terminal CALL  recvfrom(0x3,0x80b0ee0,0x1000,0,0,0)
>  88741 gnome-terminal RET   recvfrom -1 errno 35 Resource temporarily unavailable
>  88741 gnome-terminal CALL  write(0x7,0xbfbfe62c,0x24)
>  88741 gnome-terminal GIO   fd 7 wrote 36 bytes
>        0x0000 a032 1329 0200 0000 0100 0000 d8af 0a28 0100 0000 0020 0429 3000 0000 20e5 bfbf e800 0000                      |.2.)...........(..... .)0... .......|
> 
>  88741 gnome-terminal RET   poll 1
>  88741 gnome-terminal RET   write 36/0x24
>  88741 gnome-terminal CALL  read(0x6,0x80c8d70,0x24)
>  88741 gnome-terminal CALL  sigprocmask(SIG_SETMASK,0,0xbfbfe5c0)
>  88741 gnome-terminal RET   sigprocmask 0
>  88741 gnome-terminal CALL  sigsuspend(0xbfbfe5c0)
>  88741 gnome-terminal GIO   fd 6 read 36 bytes
>        0x0000 a032 1329 0200 0000 0100 0000 d8af 0a28 0100 0000 0020 0429 3000 0000 20e5 bfbf e800 0000                      |.2.)...........(..... .)0... .......|
> 
>  88741 gnome-terminal RET   read 36/0x24
>  88741 gnome-terminal CALL  thr_kill(0x18889,SIG(null))
>  88741 gnome-terminal RET   thr_kill 0
>  88741 gnome-terminal RET   nanosleep -1 errno 4 Interrupted system call
>  88741 gnome-terminal CALL  _umtx_op(0x80ca560,0x2,0x18889,0,0)
>  88741 gnome-terminal PSIG  SIG(null) caught handler=0x28b285e0 mask=0x0 code=0x10001
>  88741 gnome-terminal CALL  exit(0x1)
>  88741 gnome-terminal RET   _umtx_op -1 errno 4 Interrupted system call

I'm not sure if gdb gives an accurate backtrace, but here it is anyway:

> (gdb) run
> Starting program: /usr/bin/gnome-terminal 
> 
> Program received signal ?, Unknown signal.
> 0x28b28e67 in __pthread_sigsuspend () from /lib/i386-kfreebsd-gnu/i686/cmov/libpthread.so.0
> (gdb) bt
> #0  0x28b28e67 in __pthread_sigsuspend () from /lib/i386-kfreebsd-gnu/i686/cmov/libpthread.so.0
> #1  0x28b27e28 in __pthread_wait_for_restart_signal () from /lib/i386-kfreebsd-gnu/i686/cmov/libpthread.so.0
> #2  0x28b28d92 in pthread_create@@GLIBC_2.3 () from /lib/i386-kfreebsd-gnu/i686/cmov/libpthread.so.0
> #3  0x2895334b in g_system_thread_new (thread_func=0x28936f60 <g_thread_proxy>, stack_size=<optimized out>, error=0xbfbfe44c)
>     at /home/steven/glib2.0-2.32.0/./glib/gthread-posix.c:1116
> #4  0x28937384 in g_thread_new_internal (name=0x28963ba1 "pool", proxy=0x28936f60 <g_thread_proxy>, func=0x289377c0 <g_thread_pool_thread_proxy>, data=0x80ab3d0, stack_size=0, 
>     error=0xbfbfe44c) at /home/steven/glib2.0-2.32.0/./glib/gthread.c:886
> #5  0x28937445 in g_thread_try_new (name=0x28963ba1 "pool", func=0x289377c0 <g_thread_pool_thread_proxy>, data=0x80ab3d0, error=0xbfbfe44c)
>     at /home/steven/glib2.0-2.32.0/./glib/gthread.c:870
> #6  0x28937b5e in g_thread_pool_start_thread (error=0xbfbfe44c, pool=0x80ab3d0) at /home/steven/glib2.0-2.32.0/./glib/gthreadpool.c:409
> #7  g_thread_pool_start_thread (pool=0x80ab3d0, error=0xbfbfe44c) at /home/steven/glib2.0-2.32.0/./glib/gthreadpool.c:385
> #8  0x28937da9 in g_thread_pool_push (pool=0x80ab3d0, data=0x80c5ee8, error=0x0) at /home/steven/glib2.0-2.32.0/./glib/gthreadpool.c:560
> #9  0x286dcd30 in g_io_scheduler_push_job (job_func=0x286ef430 <run_in_thread>, user_data=0x80c5ed8, notify=0, io_priority=0, cancellable=0x0)
>     at /home/steven/glib2.0-2.32.0/./gio/gioscheduler.c:234
> #10 0x286ef8cc in g_simple_async_result_run_in_thread (simple=0x80c5da0, func=0x286ae200 <async_init_thread>, io_priority=0, cancellable=0x0)
>     at /home/steven/glib2.0-2.32.0/./gio/gsimpleasyncresult.c:906
> #11 0x286ae2f6 in g_async_initable_real_init_async (initable=0x80c6028, io_priority=0, cancellable=0x0, callback=0x287417f0 <bus_get_async_initable_cb>, user_data=0x80accc8)
>     at /home/steven/glib2.0-2.32.0/./gio/gasyncinitable.c:287
> #12 0x286ae482 in g_async_initable_init_async (initable=0x80c6028, io_priority=0, cancellable=0x0, callback=0x287417f0 <bus_get_async_initable_cb>, user_data=0x80accc8)
>     at /home/steven/glib2.0-2.32.0/./gio/gasyncinitable.c:223
> #13 0x28742782 in g_bus_get (bus_type=G_BUS_TYPE_SESSION, cancellable=0x0, callback=0x28750390 <connection_get_cb>, user_data=0x8096c00)
>     at /home/steven/glib2.0-2.32.0/./gio/gdbusconnection.c:6892
> #14 0x28750a68 in g_bus_own_name (bus_type=G_BUS_TYPE_SESSION, name=0x80927a8 "org.gnome.Terminal.Display_99", flags=G_BUS_NAME_OWNER_FLAGS_NONE, 
>     bus_acquired_handler=0x805b5a0, name_acquired_handler=0x805b4f0, name_lost_handler=0x805b980, user_data=0x8095758, user_data_free_func=0)
>     at /home/steven/glib2.0-2.32.0/./gio/gdbusnameowning.c:658
> #15 0x080580be in ?? ()
> #16 0x28b4c4fb in __libc_start_main () from /lib/i386-kfreebsd-gnu/i686/cmov/libc.so.0.1
> #17 0x0805843d in ?? ()

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Marked as found in versions gnome-terminal/3.2.1-2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 21:03:28 GMT) Full text and rfc822 format available.

Marked as found in versions gnome-terminal/3.4.0.1-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 21:03:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#631968; Package gnome-terminal. (Sat, 07 Apr 2012 00:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 07 Apr 2012 00:00:03 GMT) Full text and rfc822 format available.

Message #88 received at 631968@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 631968@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Sat, 07 Apr 2012 00:56:23 +0100
> static void
> name_lost_cb (GDBusConnection *connection,
>               const char *name,
>               gpointer user_data)

For me, gnome-terminal 3.2.1 aborts here on kfreebsd-i386:

>   /* Couldn't get the connection? No way to continue! */
>   if (connection == NULL) {
>     data->exit_code = EXIT_FAILURE;
>     gtk_main_quit ();
>     return;
>   }

Should I be able to run it standalone under xvfb-run?  Or do I need a
full gnome desktop environment running to test this?

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#631968; Package gnome-terminal. (Fri, 04 May 2012 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 04 May 2012 12:45:08 GMT) Full text and rfc822 format available.

Message #93 received at 631968@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 631968@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#631968: gnome-terminal: [!linux] immediate exit (status 1) on startup
Date: Fri, 04 May 2012 13:43:23 +0100
retitle 631968 [!linux] immediate exit (status 1) on startup
found 631968 gnome-terminal/3.4.1.1-1
thanks

Hi,

Just checked that this is still happening with the new version that
migrated to testing, and with recent eglibc fixes etc.

$ xvfb-run gnome-terminal
Lost the name org.gnome.Terminal.Display_99 on the session bus

I'd changed that debug_print to an unconditional g_printerr, otherwise
no output is shown at all.  As the error is fatal it's useful to see this.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#631968; Package gnome-terminal. (Thu, 05 Jul 2012 00:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 05 Jul 2012 00:09:05 GMT) Full text and rfc822 format available.

Message #98 received at 631968@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Robert Millan <rmh@debian.org>, 631968@bugs.debian.org, Samuel Thibault <sthibault@debian.org>, Steven Chamberlain <steven@pyro.eu.org>
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Thu, 5 Jul 2012 01:05:21 +0100
On Tue, 28 Jun 2011 at 20:31:55 +0200, Robert Millan wrote:
> gnome-terminal aborts on start, with unknown signal

Are you sure it's aborting (as in SIGABRT), and not just exiting
unsuccessfully?

> >   /* Couldn't get the connection? No way to continue! */
> >   if (connection == NULL) {
> >     data->exit_code = EXIT_FAILURE;
> >     gtk_main_quit ();
> >     return;
> >   }

Since gnome-terminal now uses D-Bus for single-instance, it's not
altogether unexpected that it doesn't proceed in the absence of a
D-Bus session.

That's an unhelpful implementation, though - it should complain to
stderr with g_printerr() before dying, or fall back to non-single-instance.

Sometime since GNOME 3.4 it seems to have been changed to use
g_printerr() if it can't connect to D-Bus, so that'll be fixed in GNOME 3.6.
The current development version has a purely client/server design -
/usr/bin/gnome-terminal just starts an instance of gnome-terminal-server,
which is the real GUI - so non-single-instance is no longer an option.

> Should I be able to run it standalone under xvfb-run?  Or do I need a
> full gnome desktop environment running to test this?

You don't need all of GNOME, but you do need a D-Bus session.
A Debian X session (running Xsession.d and a window manager) with dbus-x11
installed will give you a D-Bus session; or if you don't really have X
you can install dbus-x11 and xvfb, and try something like this:

    $ eval `dbus-launch --sh-syntax`
    $ xvfb-run gnome-terminal -e "mkdir /tmp/hello"
    $ echo $?
    0
    $ kill $DBUS_SESSION_BUS_PID
    $ ls -ld /tmp/hello
    drwxr-xr-x 2 smcv smcv 4096 Jul  5 00:35 /tmp/hello

(Running an interactive terminal non-interactively in a virtual framebuffer
is not very useful, which is why I'm using -e to give it a side-effect -
if it gets as far as executing mkdir, it's probably working right.)

Compare with its behaviour when unable to connect to D-Bus:

    $ rmdir /tmp/hello
    $ DBUS_SESSION_BUS_ADDRESS="broken:does_not=work"
    $ export DBUS_SESSION_BUS_ADDRESS
    $ xvfb-run gnome-terminal -e "mkdir /tmp/hello"
    $ echo $?
    1
    $ ls -ld /tmp/hello
    ls: cannot access /tmp/hello: No such file or directory

If kFreeBSD is consistent with that behaviour (I tested on Linux),
then this bug can be retitled to something like "exits silently when unable
to connect to D-Bus", downgraded, and tagged fixed-upstream.

Regards,
    S




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#631968; Package gnome-terminal. (Sun, 08 Jul 2012 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 08 Jul 2012 23:12:03 GMT) Full text and rfc822 format available.

Message #103 received at 631968@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Simon McVittie <smcv@debian.org>
Cc: Robert Millan <rmh@debian.org>, 631968@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Mon, 09 Jul 2012 00:10:45 +0100
found 631968 3.4.1.1-1
thanks

On 05/07/12 01:05, Simon McVittie wrote:
> You don't need all of GNOME, but you do need a D-Bus session.
> [...]
> 
>     $ eval `dbus-launch --sh-syntax`
>     $ xvfb-run gnome-terminal -e "mkdir /tmp/hello"

Thank you for that.  The exit without error message was very confusing.

With a DBUS session running (now testing from a graphical X11
environment) I can reproduce the original problem on kfreebsd-amd64,
which is not a SIGABRT, but a clean, silent exit with status 1.

Likewise if using the -e option, the given command line isn't executed.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Marked as found in versions gnome-terminal/3.4.1.1-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 08 Jul 2012 23:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#631968; Package gnome-terminal. (Mon, 22 Oct 2012 09:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 22 Oct 2012 09:15:06 GMT) Full text and rfc822 format available.

Message #110 received at 631968@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 631968@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>, Timo Juhani Lindfors <timo.lindfors@iki.fi>, debian-bsd <debian-bsd@lists.debian.org>, debian-hurd@lists.debian.org, Samuel Thibault <sthibault@debian.org>
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Mon, 22 Oct 2012 10:13:35 +0100
On Mon, 09 Jul 2012 at 00:10:45 +0100, Steven Chamberlain wrote:
> On 05/07/12 01:05, Simon McVittie wrote:
> > You don't need all of GNOME, but you do need a D-Bus session.
> > [...]
> > 
> >     $ eval `dbus-launch --sh-syntax`
> >     $ xvfb-run gnome-terminal -e "mkdir /tmp/hello"
> 
> With a DBUS session running (now testing from a graphical X11
> environment) I can reproduce the original problem on kfreebsd-amd64

(I can't help wondering why anyone would ever try to use an X11 terminal
emulator *without* a graphical X11 session...)

I wonder whether this is to do with GDBus not supporting credentials-passing
for authentication on kFreeBSD. It does support credentials-passing on
FreeBSD, and it's the same kernel, so the same code ought to work; please
try the attached patch for src:glib2.0? If successful, this can be tagged
'patch' and reassigned to libglib2.0-0.

I tried to test it on a kfreebsd-i386 virtual machine, but that VM seems
to be excessively slow, and fails to compile the GLib documentation, so I
gave up after a few attempts.

I have no idea how credentials-passing works on Hurd, but Hurd isn't
release-critical, so that can wait (if my theory is correct, please
clone the bug for Hurd support). If Hurd porters want to make GDBus
work, grepping for __FreeBSD__ is probably a good start. GLib appears to
support three different flavours of credentials-passing (for Linux, FreeBSD
and OpenBSD) so if Hurd resembles one of those, it should be possible to
make it work; the src:dbus build logs claim it has SCM_RIGHTS.

In addition to credentials-passing across Unix sockets, D-Bus supports
an X11-like "magic cookie" mechanism (normally only used for TCP sockets),
but that relies on the connecting user having access to their "official"
home directory according to getent passwd, so it might not be useful
in all cases (for instance, the mini-GNOME-session run by the gdm3 greeter
can't necessarily rely on that).

Regards,
    S



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#631968; Package gnome-terminal. (Mon, 22 Oct 2012 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 22 Oct 2012 11:57:03 GMT) Full text and rfc822 format available.

Message #115 received at 631968@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Simon McVittie <smcv@debian.org>
Cc: Steven Chamberlain <steven@pyro.eu.org>, 631968@bugs.debian.org, Robert Millan <rmh@debian.org>, Timo Juhani Lindfors <timo.lindfors@iki.fi>, debian-bsd <debian-bsd@lists.debian.org>, debian-hurd@lists.debian.org
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Mon, 22 Oct 2012 13:55:44 +0200
Simon McVittie, le Mon 22 Oct 2012 10:13:35 +0100, a écrit :
> On Mon, 09 Jul 2012 at 00:10:45 +0100, Steven Chamberlain wrote:
> > On 05/07/12 01:05, Simon McVittie wrote:
> > > You don't need all of GNOME, but you do need a D-Bus session.
> > > [...]
> > > 
> > >     $ eval `dbus-launch --sh-syntax`
> > >     $ xvfb-run gnome-terminal -e "mkdir /tmp/hello"
> > 
> > With a DBUS session running (now testing from a graphical X11
> > environment) I can reproduce the original problem on kfreebsd-amd64
> 
> (I can't help wondering why anyone would ever try to use an X11 terminal
> emulator *without* a graphical X11 session...)

An X11 environment does *not* imply a dbus session.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#631968; Package gnome-terminal. (Mon, 22 Oct 2012 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 22 Oct 2012 12:09:04 GMT) Full text and rfc822 format available.

Message #120 received at 631968@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Simon McVittie <smcv@debian.org>, 631968@bugs.debian.org, Robert Millan <rmh@debian.org>, Timo Juhani Lindfors <timo.lindfors@iki.fi>, debian-bsd <debian-bsd@lists.debian.org>, debian-hurd@lists.debian.org
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Mon, 22 Oct 2012 13:06:48 +0100
Hi,

On 22/10/12 12:55, Samuel Thibault wrote:
> Simon McVittie, le Mon 22 Oct 2012 10:13:35 +0100, a écrit :
>> (I can't help wondering why anyone would ever try to use an X11 terminal
>> emulator *without* a graphical X11 session...)
> 
> An X11 environment does *not* imply a dbus session.

The only reason I tried without a 'graphical' X11 environment, is
because I tried firstly to debug the crash-on-startup on a remote shell
box, under xvfb instead of a real X server since there wasn't one set up.

What I found is that it exits silently, in different places, depending
whether a DBus session is running.  It doesn't got far enough to execute
any shell command given by the "-e" option.

Robert Millan already bisected this to a large DBus-related commit.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#631968; Package gnome-terminal. (Mon, 22 Oct 2012 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 22 Oct 2012 16:36:03 GMT) Full text and rfc822 format available.

Message #125 received at 631968@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 631968@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>, Timo Juhani Lindfors <timo.lindfors@iki.fi>, debian-bsd <debian-bsd@lists.debian.org>, debian-hurd@lists.debian.org, Samuel Thibault <sthibault@debian.org>
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Mon, 22 Oct 2012 17:33:23 +0100
[Message part 1 (text/plain, inline)]
retitle 631968 gnome-terminal: fails to start on kFreeBSD
clone 631968 -1 -2
retitle -1 gnome-terminal: should recommend dbus-x11
severity -1 important
retitle -2 gnome-terminal: no error message when unable to join D-Bus session
severity -2 important
thanks

On Mon, 22 Oct 2012 at 10:13:35 +0100, Simon McVittie wrote:
> > On 05/07/12 01:05, Simon McVittie wrote:
> > > You don't need all of GNOME, but you do need a D-Bus session.

... which will automatically be started (either from Xsession.d or on-demand)
if you have dbus-x11. Since gnome-terminal needs a D-Bus session, it ought
to have at least a Recommends: on dbus-x11 - this is clone -1 of this bug.

In a previous mail, I wrote:
> [having no error message] is an unhelpful implementation, though - it
> should complain to stderr with g_printerr() before dying, or fall back
> to non-single-instance.

This is clone -2.

> I wonder whether this is to do with GDBus not supporting credentials-passing
> for authentication on kFreeBSD. It does support credentials-passing on
> FreeBSD, and it's the same kernel, so the same code ought to work; please
> try the attached patch for src:glib2.0? If successful, this can be tagged
> 'patch' and reassigned to libglib2.0-0.

This is the original bug 631968. Sorry, I didn't attach the patch as I'd
intended: here it is.

    S
[0001-Use-the-FreeBSD-credentials-passing-code-on-Debian-G.patch (text/x-diff, attachment)]

Changed Bug title to 'gnome-terminal: fails to start on kFreeBSD' from 'aborts on start (GNU/kFreeBSD)' Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Mon, 22 Oct 2012 16:36:07 GMT) Full text and rfc822 format available.

Bug 631968 cloned as bugs 691177, 691178 Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Mon, 22 Oct 2012 16:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#631968; Package gnome-terminal. (Wed, 24 Oct 2012 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 24 Oct 2012 00:33:03 GMT) Full text and rfc822 format available.

Message #134 received at 631968@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Simon McVittie <smcv@debian.org>
Cc: 631968@bugs.debian.org, Robert Millan <rmh@debian.org>, Timo Juhani Lindfors <timo.lindfors@iki.fi>, debian-bsd <debian-bsd@lists.debian.org>, debian-hurd@lists.debian.org, Samuel Thibault <sthibault@debian.org>
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Wed, 24 Oct 2012 01:29:57 +0100
reassign 631968 libglib2.0-0
found 631968 glib2.0/2.33.12+really2.32.4-2
affects 631968 gnome-terminal
tags 631968 + confirmed patch
thanks

Hi!

On 22/10/12 17:33, Simon McVittie wrote:
>> I wonder whether this is to do with GDBus not supporting credentials-passing
>> for authentication on kFreeBSD. It does support credentials-passing on
>> FreeBSD, and it's the same kernel, so the same code ought to work; please
>> try the attached patch for src:glib2.0? If successful, this can be tagged
>> 'patch' and reassigned to libglib2.0-0.

Thank you Simon, this is exactly the reason that gnome-terminal would
fail to connect to DBus on GNU/kFreeBSD (and quits silently with exit
status 1).

I've just tested that your patch fixed the problem on kfreebsd-amd64;
gnome-terminal now starts up and works correctly in a graphical X11
environment.  The fix looks quite typical of other GNU/kFreeBSD porting
issues.

This probably also fixes more GNOME issues, that we didn't even know of yet.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Bug reassigned from package 'gnome-terminal' to 'libglib2.0-0'. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 24 Oct 2012 00:33:07 GMT) Full text and rfc822 format available.

No longer marked as found in versions gnome-terminal/3.2.1-2, gnome-terminal/3.0.1-1, gnome-terminal/3.4.0.1-1, and gnome-terminal/3.4.1.1-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 24 Oct 2012 00:33:07 GMT) Full text and rfc822 format available.

Marked as found in versions glib2.0/2.33.12+really2.32.4-2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 24 Oct 2012 00:33:07 GMT) Full text and rfc822 format available.

Added indication that 631968 affects gnome-terminal Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 24 Oct 2012 00:33:08 GMT) Full text and rfc822 format available.

Added tag(s) confirmed and patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 24 Oct 2012 00:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#631968; Package libglib2.0-0. (Wed, 24 Oct 2012 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 24 Oct 2012 01:03:03 GMT) Full text and rfc822 format available.

Message #149 received at 631968@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Simon McVittie <smcv@debian.org>
Cc: 631968@bugs.debian.org, Robert Millan <rmh@debian.org>, Timo Juhani Lindfors <timo.lindfors@iki.fi>, debian-bsd <debian-bsd@lists.debian.org>, debian-hurd@lists.debian.org, Samuel Thibault <sthibault@debian.org>
Subject: Re: Bug#631968: aborts on start (GNU/kFreeBSD)
Date: Wed, 24 Oct 2012 01:58:52 +0100
affects 631968 + lightdm
thanks

I see that the same glib2.0 patch also fixes lightdm.

On kfreebsd-amd64 I can confirm the report below that it shows only a
blank screen.  With this glib2.0 patch it works correctly.  The issue
was not filed yet in the BTS but reported recently at:

http://lists.debian.org/CA+4ECJnpYGh+qdxfeXjDhUqOQ+NVrhyW8bjZfzUYNXxSpy0BAg@mail.gmail.com

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. (Wed, 24 Oct 2012 12:06:04 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Wed, 24 Oct 2012 12:06:04 GMT) Full text and rfc822 format available.

Message #154 received at 631968-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 631968-close@bugs.debian.org
Subject: Bug#631968: fixed in glib2.0 2.33.12+really2.32.4-3
Date: Wed, 24 Oct 2012 12:02:41 +0000
Source: glib2.0
Source-Version: 2.33.12+really2.32.4-3

We believe that the bug you reported is fixed in the latest version of
glib2.0, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631968@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@debian.org> (supplier of updated glib2.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 24 Oct 2012 10:51:08 +0100
Source: glib2.0
Binary: libglib2.0-0 libglib2.0-udeb libglib2.0-bin libglib2.0-dev libglib2.0-0-dbg libglib2.0-data libglib2.0-doc libgio-fam libglib2.0-0-refdbg
Architecture: source all amd64
Version: 2.33.12+really2.32.4-3
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description: 
 libgio-fam - GLib Input, Output and Streaming Library (fam module)
 libglib2.0-0 - GLib library of C routines
 libglib2.0-0-dbg - Debugging symbols for the GLib libraries
 libglib2.0-0-refdbg - GLib library of C routines - refdbg library
 libglib2.0-bin - Programs for the GLib library
 libglib2.0-data - Common files for GLib library
 libglib2.0-dev - Development files for the GLib library
 libglib2.0-doc - Documentation files for the GLib library
 libglib2.0-udeb - GLib library of C routines - minimal runtime (udeb)
Closes: 631968
Changes: 
 glib2.0 (2.33.12+really2.32.4-3) unstable; urgency=low
 .
   * Team upload
   * 92_kfreebsd_credentials.patch: use the FreeBSD credentials-passing
     implementation on kFreeBSD too, making gnome-terminal and lightdm
     work on kFreeBSD (Closes: #631968)
Checksums-Sha1: 
 2ecada035c970334885d6b1e5159ec86634287e5 2906 glib2.0_2.33.12+really2.32.4-3.dsc
 622f93f4c88a89a9ab234ae966f20c9fd5b47fd3 65402 glib2.0_2.33.12+really2.32.4-3.debian.tar.gz
 9fec933dc46317df7d1948425160daf0ae3cfc91 1606638 libglib2.0-data_2.33.12+really2.32.4-3_all.deb
 b1d2991ccfc472d6076bdfd9b6373b86d190b9ec 2087454 libglib2.0-doc_2.33.12+really2.32.4-3_all.deb
 c1b7365a45cbdaef87a134b1ef71c360754012d4 1838028 libglib2.0-0_2.33.12+really2.32.4-3_amd64.deb
 c4801b199ca2bf5d6963c5f07d27093110e6a987 1636190 libglib2.0-udeb_2.33.12+really2.32.4-3_amd64.udeb
 567aa72f8f781f1a0bb55812a8e2c6ef0550c90e 867622 libglib2.0-bin_2.33.12+really2.32.4-3_amd64.deb
 a463ae02e09f9d9e7a3967f504d6926b7b65cc95 2049760 libglib2.0-dev_2.33.12+really2.32.4-3_amd64.deb
 012dbd62f914e6dad6e5e3458f68396d769d3ae9 3235726 libglib2.0-0-dbg_2.33.12+really2.32.4-3_amd64.deb
 40f4c1b339158dc226256d894a9d1c8d6d03dbe9 1230732 libglib2.0-0-refdbg_2.33.12+really2.32.4-3_amd64.deb
Checksums-Sha256: 
 d57dd471fe117d909d4097ae02d939384fbcb999e2a7ef1a1f8efd27a24d1a4f 2906 glib2.0_2.33.12+really2.32.4-3.dsc
 6141f28e6f3e1d966380c4ec5163e3254759dd6cd8cc876af6c38ff5b488bf56 65402 glib2.0_2.33.12+really2.32.4-3.debian.tar.gz
 171d01c1d85a0a1cfbb70ba40ffe2256cfae5b88f079b6b9089e0af66789ca86 1606638 libglib2.0-data_2.33.12+really2.32.4-3_all.deb
 34381e9ae0af48b570ac18f16314bf4ef4eaa5dddcebee277c574746117e5d0f 2087454 libglib2.0-doc_2.33.12+really2.32.4-3_all.deb
 e77f161138660fa8fc5186520b15b2e1bc5c86f12ec0e414b7e91c70e046f45f 1838028 libglib2.0-0_2.33.12+really2.32.4-3_amd64.deb
 47d4fe770d8e773b46d693b54c9ad1782a345389de6b9e71c591436ff4ae2868 1636190 libglib2.0-udeb_2.33.12+really2.32.4-3_amd64.udeb
 fb6571411c4e5d7f3ff36d5b7e644d51216154fdeb04ddf7564c24994b83ea6a 867622 libglib2.0-bin_2.33.12+really2.32.4-3_amd64.deb
 c13ccb9391bd8e0791555562b4e4efb7a40034172548a0462b3e8688c4d9c18f 2049760 libglib2.0-dev_2.33.12+really2.32.4-3_amd64.deb
 6ebe9826994ff6428eddcceb06801565d66839e3b66e1f8f03f820c72163acaa 3235726 libglib2.0-0-dbg_2.33.12+really2.32.4-3_amd64.deb
 c6ac3f5f27dc4a84fe178321519baa12f0f1fdd24199ae938884e78a40f5b906 1230732 libglib2.0-0-refdbg_2.33.12+really2.32.4-3_amd64.deb
Files: 
 0c2f0553ff13ef9d22f175a33ae7ef87 2906 libs optional glib2.0_2.33.12+really2.32.4-3.dsc
 edc9365061d7cc850c5e5b94bc713563 65402 libs optional glib2.0_2.33.12+really2.32.4-3.debian.tar.gz
 c408753abc96583fc74b188085b0d09c 1606638 libs optional libglib2.0-data_2.33.12+really2.32.4-3_all.deb
 c4db10424e87c6e3045d03c6e5ed425b 2087454 doc optional libglib2.0-doc_2.33.12+really2.32.4-3_all.deb
 6ac776482b7df57b3e63c06579f293b5 1838028 libs optional libglib2.0-0_2.33.12+really2.32.4-3_amd64.deb
 cff9cfaf887d40a1002444f5f1522fd3 1636190 debian-installer optional libglib2.0-udeb_2.33.12+really2.32.4-3_amd64.udeb
 41a55e76e0793f770227adb374c657df 867622 misc optional libglib2.0-bin_2.33.12+really2.32.4-3_amd64.deb
 65afe2226f6ec775ed4fb20e840b3232 2049760 libdevel optional libglib2.0-dev_2.33.12+really2.32.4-3_amd64.deb
 03dc0ba358da1b1a760444902789e750 3235726 debug extra libglib2.0-0-dbg_2.33.12+really2.32.4-3_amd64.deb
 46af90d57e75abc2f8d3b7f28f1f1ab4 1230732 debug extra libglib2.0-0-refdbg_2.33.12+really2.32.4-3_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----

iQIVAwUBUIfU0E3o/ypjx8yQAQjGxg/+N+e/xbZhvvuvaeUrUtDjoBILgArdPXAy
/7iEa7cVyZH+3pDsSgiD06me37ntNIxZfzcwYAKBOPqrgixdDHHo9ZlKCz1FCf6S
WKpxfkqZtiukbhGvEtY1/VMT2eLaM3KXlz6VsZ0YYsXp9+s1aRoYVQhLMpNpf9L9
F3vfVY8Zh3kwte4kIwqGTBPU9MzIGBc/aLBoukgeiWqLer3s0dA2N+bHeJtr6qk5
jIMw0o0blvuqTWtSCuCStU1iJ9lxX45apbJJMYiiLJgi9Tm8TBEL1L9usp81/Bgp
T7R9eubi41S8Tzfmb+SFr9oDC5Tgt+8xWWjXGphEn7cPSQB6nhOLsi+T4BcKcwnZ
/+i5a2pOKcCT4LUSH1Had49ss8wzffqUuvvulmqMHFMvKG3/Tz0hpm8JAlrQY9nH
LTIj4NrAH/885dfcSUxM/IxN0kzJO0fmnNN5z5CIuS5960D1JjJRNzmak3svVdv7
wxpE5iFbkm4jdd4jl0DW6FutgyB8mH8wmYyYhVdnvwyA5nvPifURSnpG+/LPF3Ke
01p167F8jz7yqb7ZTNPQwDGEtTK5MZ/uzi2Glb9yzv6w1TWowG6sxo0CEKDyy6Xd
YkuC0aZnYdZ5P3DnbyUBQ6lod5xsoSBZzpDJfxlvkcjzGLWMOSAq4RXUehz9+X/Q
+4is6zXBqYQ=
=UJrO
-----END PGP SIGNATURE-----




Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. (Thu, 01 Nov 2012 08:51:05 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Thu, 01 Nov 2012 08:51:06 GMT) Full text and rfc822 format available.

Message #159 received at 631968-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 631968-close@bugs.debian.org
Subject: Bug#631968: fixed in glib2.0 2.34.1-2
Date: Thu, 01 Nov 2012 08:47:53 +0000
Source: glib2.0
Source-Version: 2.34.1-2

We believe that the bug you reported is fixed in the latest version of
glib2.0, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631968@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@debian.org> (supplier of updated glib2.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 31 Oct 2012 12:56:54 +0000
Source: glib2.0
Binary: libglib2.0-0 libglib2.0-udeb libglib2.0-bin libglib2.0-dev libglib2.0-0-dbg libglib2.0-data libglib2.0-doc libgio-fam libglib2.0-0-refdbg
Architecture: source all amd64
Version: 2.34.1-2
Distribution: experimental
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description: 
 libgio-fam - GLib Input, Output and Streaming Library (fam module)
 libglib2.0-0 - GLib library of C routines
 libglib2.0-0-dbg - Debugging symbols for the GLib libraries
 libglib2.0-0-refdbg - GLib library of C routines - refdbg library
 libglib2.0-bin - Programs for the GLib library
 libglib2.0-data - Common files for GLib library
 libglib2.0-dev - Development files for the GLib library
 libglib2.0-doc - Documentation files for the GLib library
 libglib2.0-udeb - GLib library of C routines - minimal runtime (udeb)
Closes: 581750 631968
Changes: 
 glib2.0 (2.34.1-2) experimental; urgency=low
 .
   * Team upload
   * Apply patch from unstable to use the FreeBSD credentials-passing code
     path on kFreeBSD too, fixing (at least) gnome-terminal and lightdm on
     kFreeBSD (Closes: #581750, #631968)
Checksums-Sha1: 
 895acf1e3b7961aa63112e6097664b704ac334f3 2844 glib2.0_2.34.1-2.dsc
 f1c35920a776381a3f685923b3134156f58eb317 64946 glib2.0_2.34.1-2.debian.tar.gz
 c5ba0544d9126ef5b3e46f1288fb315744ba7518 1701614 libglib2.0-data_2.34.1-2_all.deb
 5d95a8117e9fc5dac8ae60a1e79cd21d3c573e14 2188390 libglib2.0-doc_2.34.1-2_all.deb
 3811e56b1edbd11d99fbc0df1ccb28bce63a532c 1924868 libglib2.0-0_2.34.1-2_amd64.deb
 e3af6a8f82095af55ae53e43e3af95a2354aab0a 1664636 libglib2.0-udeb_2.34.1-2_amd64.udeb
 25444c8bec5c3867a908f5ac6e91e668098d9590 942954 libglib2.0-bin_2.34.1-2_amd64.deb
 e8a65c88b69067a0a2ffb9424a07ea80b2b1ed79 2143152 libglib2.0-dev_2.34.1-2_amd64.deb
 9667994bf633c0c36217d0408aeebe15b778db5f 3343122 libglib2.0-0-dbg_2.34.1-2_amd64.deb
 ed0ca226027fae57e39c40fa0c8888b14a829158 1308436 libglib2.0-0-refdbg_2.34.1-2_amd64.deb
Checksums-Sha256: 
 781e18e2412db376ed445e5c5b9eb62a1b1cc2a319b4850f25f106fbb3773f11 2844 glib2.0_2.34.1-2.dsc
 c132e548e01aef5d5a96aa20a01cec0927095d48b97503bd341a07efbfad3cd6 64946 glib2.0_2.34.1-2.debian.tar.gz
 0ce150da7e480e7d847ef5d5d9da3ceb9b3ae70d48d03602eaf31b61b569a609 1701614 libglib2.0-data_2.34.1-2_all.deb
 c7898180d9991ce9d5fd6cc38101043737cfdf77e94e9032f68a4558d0a805fe 2188390 libglib2.0-doc_2.34.1-2_all.deb
 9ce9c8621a73296576509782e81e907c9599fdf62f2db0a01e11cda00ee438d8 1924868 libglib2.0-0_2.34.1-2_amd64.deb
 745270591d06a4c05cdb3671d145596f7ac388fc8c82d9ec0f0918957844524e 1664636 libglib2.0-udeb_2.34.1-2_amd64.udeb
 83a8ba6a0e89da41bb618d2618d0154589c9bbfea57e7c221aef325c0b1959f6 942954 libglib2.0-bin_2.34.1-2_amd64.deb
 372f9adcc830d50fe2e66cf1ca429c783b2e8da451010a03e6848e2d8e414f4a 2143152 libglib2.0-dev_2.34.1-2_amd64.deb
 508294d7c08ec97f8ccaa7ea62a5618425214c71043dde9300444a51427d79ad 3343122 libglib2.0-0-dbg_2.34.1-2_amd64.deb
 ea128e722bcfed1cfc4773e7d4657e78d77a5194301bb58837e7ff3d5730b33a 1308436 libglib2.0-0-refdbg_2.34.1-2_amd64.deb
Files: 
 97b35d04b1bcccab30238e1d0fb2b3ef 2844 libs optional glib2.0_2.34.1-2.dsc
 02c4e7591ab9a0fcc764c1c51cfb0223 64946 libs optional glib2.0_2.34.1-2.debian.tar.gz
 9ed87fac71b4bdb8118bbcbd2fb8f5ed 1701614 libs optional libglib2.0-data_2.34.1-2_all.deb
 5ae404aad98cf8d515957a2a11c5f0e5 2188390 doc optional libglib2.0-doc_2.34.1-2_all.deb
 a9d35959e0349cad59f2cd96b51055dd 1924868 libs optional libglib2.0-0_2.34.1-2_amd64.deb
 92732007187b5e74ad3668af894a2200 1664636 debian-installer optional libglib2.0-udeb_2.34.1-2_amd64.udeb
 f3d83006e75e48a619579b596ef3aefe 942954 misc optional libglib2.0-bin_2.34.1-2_amd64.deb
 bd24f9e14b308d271a7145768644f89f 2143152 libdevel optional libglib2.0-dev_2.34.1-2_amd64.deb
 3d393caaa11289a6000f8a9e275519b2 3343122 debug extra libglib2.0-0-dbg_2.34.1-2_amd64.deb
 647084ba6f1cfa04c17a6ebc0732c5e4 1308436 debug extra libglib2.0-0-refdbg_2.34.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----

iQIVAwUBUJIzWk3o/ypjx8yQAQiVPxAAjSNlhtR2sDqPID119Eh9Ue/PPLMxWtCa
owx1Iuozc42nvPMSsZFpHg2ZbF1bnspTjBmEwmX9YbpemjcKAifdk89QubZNJfH5
+YOihPE5+tTICIA7waXERWbAnlrN4tsYph9X/PpuflKRSPCI0frkTlPFJMzFYSJk
+uahlsbSka6Jt2WmGM7huStN1jt6pwG1tUlFelaB0KJSxFdyBfeFu8oPXe29MzFT
kj3tjHPUpHTjGjziE8s7Iz4BwRFtH6vLYvJ1gIyTcLBK+l+hwbI8vTR5aannC3Ii
xUPABKez/1T+3NVhoqZnLl4qYFGnJ5s+b76Z+nUZleYnaFISPV3tnWk52nTagOBQ
6o+bHfN2E0u0vckdWH2ie78Vx0X8qjw54/z29hoq0dyk6ldtNehR6PbD0RBTGHVs
wXAxt4cJLbZShNEeOXduTTFnqlDdPAEvbMfSbH0WZMGA5Aqtt7etulJv+v4no+jb
73j0rj54K9GKefOzm670bBwFJi9qo1l0CllD0D21nB95AQG1I0/ty340QGbtYC4P
hHCwQ2L2qojJCVLCM+lf6CijBPTmAlo9v8xWG9w9nGO8I8BnaVmUgR2ghWt66ymB
n9ZP4+GE3HsfLkAMeNR0xdMqkNQ+1tAuufPx3vkt2HcGN1pW/yP71fbkZZdT6U4C
gSwWkQdWEBo=
=y/FH
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Dec 2012 07:28:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:29:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.